Bug 826111 - Ticket Monster: Checkout a booking can persist more than one booking in the database
Ticket Monster: Checkout a booking can persist more than one booking in the d...
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise WFK Platform 2
Classification: JBoss
Component: TicketMonster (Show other bugs)
2.0.0.ER6
Unspecified Unspecified
medium Severity medium
: ---
: 2.0.0.ER8
Assigned To: Marius Bogoevici
Tomas Repel
ticket-monster
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-29 11:53 EDT by Tomas Repel
Modified: 2013-02-01 10:12 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-22 03:32:52 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Repel 2012-05-29 11:53:52 EDT
Description of problem:

If you create a booking and immediately create the similar booking again (the email and the amount of the tickets may differ), the checkout of this "second" booking causes that two bookings are save in the database.

Version-Release number of selected component (if applicable):

WFK2 ER6
EAP6 ER8

How reproducible:

Always.

Steps to Reproduce:

1. build and deploy Ticket Monster
2. click on 'Book tickets' button
3. select a venue Roy Thomson Hall
4. click on 'Order tickets' button
5. choose a section D - General
6. provide a number of tickets you want to book, say 1
7. press 'Add tickets' button
8. insert an email
9. press 'Checkout' button
10. click on 'Bookings' menu item to see, that your booking is there
11. repeat all the steps above again
      - you can provide different ticket number and email

Actual results:

There are three bookings (assuming that no booking was there before step 1.).

Expected results:

Only two bookings should be there.
Comment 1 Marek Novotny 2012-05-31 08:26:18 EDT
What do we do with this issue, Marius?
Comment 2 Marius Bogoevici 2012-06-08 04:03:31 EDT
Fixed
Comment 3 Tomas Repel 2012-06-13 06:20:24 EDT
Verified in WFK2 ER8.

Note You need to log in before you can comment on or make changes to this bug.